Subject: [NGO] draft-okita-netconf-advertisement-00

From: OKITA Hideki <[email-masked]>
Date: Wed, 21 Nov 2007 16:57:42 +0900 (JST)

Dear all,

I have submitted a new I-D about the NETCONF Schema advertisement
requirement taken into the updated netconf WG charter.

> Filename:	   draft-okita-netconf-advertisement
> Title:	   NETCONF Configuration Interface Advertisement with WSDL and XSD

I'd like to make the requirement and available solutions clear
by this I-D before we discuss a particular solution.

In the schema-query-00 draft, a new NETCONF operation is proposed
to take Schema location and access method for the Schema on
a NETCONF device. IMO, the requirement for this solution is
"NMS developers can know Schema location and access method to the Schema"

For this requirement, we can take up following several solutions.

- fixed access method and URL    (this I-D)
- URL described in user's guide
- inband dynamic retrieval       (schema-query-00)
- UDDI                           (broker model in Web-Service)

We should compare the pros/cons of these solutinos.
I'd like to discuss this point in Vancouver.

Regards,

Hideki Okita
Central Research Laboratory,
Hitachi, Ltd.

From: IETF I-D Submission Tool <[email-masked]>
Subject: Manual Post Requested for draft-okita-netconf-advertisement 
Date: Mon, 12 Nov 2007 09:04:00 -0500

> Filename:	   draft-okita-netconf-advertisement
> Version:	   00
> URL:             http://www.ietf.org/internet-drafts/draft-okita-netconf-advertisement-00.txt
> Title:	   NETCONF Configuration Interface Advertisement with WSDL and XSD
> Creation_date:   2007-11-12
> WG ID:	   Indvidual Submission
> Number_of_pages: 19
> Abstract:
> This memo describes a configuration interface advertisement method
> for NETCONF device developers.  In the proposal, the developers take
> a configuration interface definition information of target NETCONF
> devices.  On their development environment, they generate stab
> classes to control the devices.  The NETCONF device advertises their
> configuration interface by a WSDL file.  The WSDL file describes
> message type of each NETCONF operation of the device.  The WSDL file
> contains XML Schema in its types element and describes definition of
> the types definition used to configuration data.  By this
> configuration interface advertisement, Network management System
> (NMS) developers can improve their development efficiency of the NMS.
> 
> Author(s):
> Hideki Okita, [email-masked]
> Tomoyuki Iijima, [email-masked]
> Yoshifumi Atarashi, [email-masked]

From: "Romascanu, Dan (Dan)" <[email-masked]>
Subject: [NGO] FW: Internal WG Review: Recharter of Network Configuration WG(netconf) 
Date: Sun, 28 Oct 2007 17:35:24 +0100

> 3. Schema advertisement: Currently the NETCONF protocol is able to
> advertise which protocol features are supported on a particular
> NETCONF-capable device. However, there is currently no way to discover
> which XML Schema are supported on the device. The NETCONF working group
> will produce a standards-track RFC with mechanisms making this discovery
> possible.
> 
> This item may be merged with "Netconf monitoring" into a single
> document.
> 
> (The initial draft will be based on
> draft-scott-netconf-schema-query-00.txt barring additional contributions
> from the community.)

_______________________________________________
NGO mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ngo